Re: [Matplotlib-users] Unable to compile on FC6

2006-10-27 Thread Trond Danielsen
2006/10/27, Robert Elsner [EMAIL PROTECTED]:
 Hello Everybody,

 I use the usual scipy + numpy + matplotlib combination for my daily
 work. Unfortunately after switching to Fedora Core 6 (from FC5) I am
 unable to compile matplotlib 0.87.6 on my system.


I am sure you allready know this, but matplotlib 0.87.6 is available
from fedora extra.

Best regards,
Trond

-
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnkkid=120709bid=263057dat=121642
___
Matplotlib-users mailing list
Matplotlib-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/matplotlib-users


[Matplotlib-users] Unable to compile on FC6

2006-10-26 Thread Robert Elsner
Hello Everybody,

I use the usual scipy + numpy + matplotlib combination for my daily
work. Unfortunately after switching to Fedora Core 6 (from FC5) I am
unable to compile matplotlib 0.87.6 on my system.

The steps involved so far where:

* First building numpy 1.0 final (installing  blas,lapack,atlas 
and
corresponding -devel packages for dependencies)
Numpy tests run ok.

* then building scipy 0.5.1. No additional deps. Tests show a couple of
errors. I think they are unrelated and are already reported on the scipy
list.

* Installing the deps mentioned in the INSTALL file _except_
freetype-utils which is not in the FC6 repositories. It has been around
in FC5 so I assumed (still assume) it is merged into freetype.

(zlib, zlib-devel, libpng, libpng-devel, freetype, freetype-devel,
gtk2-devel, gtk+-devel, pygtk2, glib-devel, pygtk2-devel,
gnome-libs-devel, pygtk2-libglade tcl, tk, tkinter)

* Then I unpack the matplotlib-0.87.6.tar.gz and cd into the new dir.
Running python setup.py build doesn't work (details below). Then I
deleted the whole directory and unpacked again, this time changing the
numerix setting in setup.py to numpy (which is the array package I
would like to use). Again python setup.py build fails. The output is
located at the end of this mail.

Unfortunately the error message is not too descriptive so I have no clue
what to look for. Any help would be greatly appreciated.

Robert


OUTPUT

[EMAIL PROTECTED] matplotlib-0.87.6]$ python setup.py build
running build
running build_py
creating build
creating build/lib.linux-i686-2.4
copying lib/pylab.py - build/lib.linux-i686-2.4
creating build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/texmanager.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/patches.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/_image.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/colors.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/transforms.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/finance.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/dates.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/colorbar.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/cm.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/widgets.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/windowing.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/mathtext2.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/pyparsing.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/collections.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/legend.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/axes3d.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/_cm.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/text.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/afm.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/agg.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/quiver.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/mlab.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/figure.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/table.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/_transforms.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/contour.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/font_manager.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/image.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/backend_bases.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/cbook.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/nxutils.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/proj3d.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/art3d.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/_pylab_helpers.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/pylab.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/_mathtext_data.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/mathtext.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/ticker.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/axes.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/axis.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/__init__.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/artist.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/_contour.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/axis3d.py - build/lib.linux-i686-2.4/matplotlib
copying lib/matplotlib/lines.py - build/lib.linux-i686-2.4/matplotlib
creating build/lib.linux-i686-2.4/matplotlib/backends
copying